class Disease {
  final String id;
  final String name;
  final String description;
  final String treatment;

  Disease({
    required this.id,
    required this.name,
    required this.description,
    required this.treatment,
  });

  factory Disease.fromMap(Map<String, dynamic> map) {
    return Disease(
      id: map['id'] as String,
      name: map['name'] as String,
      description: map['description'] as String? ?? '',
      treatment: map['treatment'] as String? ?? '',
    );
  }
}
